package com.community.huiju.dao;

import com.community.huiju.model.TaVisitorLicenseSetting;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TaVisitorLicenseSettingMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaVisitorLicenseSetting record);

    int insertSelective(TaVisitorLicenseSetting record);

    TaVisitorLicenseSetting selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaVisitorLicenseSetting record);

    int updateByPrimaryKey(TaVisitorLicenseSetting record);

    @ResultMap("BaseResultMap")
    @Select("select * from ta_visitor_license_setting where community_id = #{communityId}")
    TaVisitorLicenseSetting selectByCommunityId(@Param("communityId") Integer communityId);
}